お世話になっています。
vine3.1をインストールして、
環境構築も徐々にできてきました。

そんなに高いスペックでなくとも遊べる
ということでDOOMをやってみようと思い、
http://www.yk.rim.or.jp/~kawagisi/game.html
こちらのページからリンクをたどりftpにはつながって
ダウンロードもできたのですが、
肝心のfaqがつながらないみたいで、
インストール?等どうすればいいか分からないです。
linux-doom-1.8.tar.gz
をおとして見たのですが,
linuxxdoom
と書いてある割にそのファイルは無く、
どうすればいいか分かりません。

A 回答 (2件)

以前、DOOMのソースが公開されてた事があり、そのソースを元に改良して公開されている1つに「Doom Legacy」というものがあります。


こういうものがある程度しか知らないので実際の使用方法とか詳しい事はお答え出来ませんが、こういうのがあるという情報提供という事で書いておきます。

参考URL:http://legacy.newdoom.com/downloads.php#linux

この回答への補足

できましたーーーー!!!!

音もなりました!!

ありがとうございました!!!!!!

補足日時:2005/03/19 13:06
    • good
    • 0
この回答へのお礼

ありがとうございます!

さっそくやって見ます!

でも先述のld.soをいじっていたら、
全く操作が利かなくなり、
再起動したら、カーネルパニックになってしまいました・・・

(T_T)

お礼日時:2005/03/16 22:12

READMEに


>sdoom is the SVGAlib executable for DOOM. It should be run as
>root or made setuid to root, or else it won't run.

>xdoom is the X executable for DOOM.

とあるのだから、「linuxxdoom」を「xdoom」に読み替えればいいのでは?

あと、そのftpサイトにはlinuxxdoom.tar.gzというのもあって、その中には「linuxxdoom」があるみたいですよ。

この回答への補足

だめですーTT

いろいろさがしたら2chの過去ログに問いかけがありました
「 DOOMを試してみたけど起動できないYO!
$ tar -zxvf linux-doo*
$ cd doom-1.8
$ ./xdoom
cannot execute binary file.
$ su -l
# modprobe binfmt_aout
# ./xdoom
can't load dynamic linker '/lib/ld.so'
# ./sdoom
can't load dynamic linker '/lib/ld.so' 」

結局回答はないまま終わっていました…
SDLが必要と言うレスがひとつあったのですが、
SDLは最新版が入っています(apt-getで確認)
また/libにあるld-2.3.3.so
にld.soと言う名前でシンボリックリンクをはってみましたが結果は同じでした。
古いゲームとはいえファンは多そうなんですが、
いがいにFAQはないのですね..

補足日時:2005/03/15 20:51
    • good
    • 0

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!

今、見られている記事はコレ!

おしトピ編集部からのゆる~い質問を出題中

お題をもっとみる

このQ&Aを見た人が検索しているワード


このカテゴリの人気Q&Aランキング

おすすめ情報

カテゴリ